org.red5.classloading

## Class ClassLoaderBuilder.JarFileFilter

- java.lang.Object
- - org.red5.classloading.ClassLoaderBuilder.JarFileFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  ClassLoaderBuilder

    public static final class ClassLoaderBuilder.JarFileFilter
    extends Object
    implements FilenameFilter

Filters jar files

### Constructor Summary

Constructors
Constructor and Description
`ClassLoaderBuilder.JarFileFilter()`

### Method Summary

Methods
`boolean` `accept(File dir, String name)` Check whether file matches filter rules

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLoaderBuilder.JarFileFilter

    public ClassLoaderBuilder.JarFileFilter()

### Method Detail

#### accept

    public boolean accept(File dir,
                 String name)

Check whether file matches filter rules

Specified by:
  `accept` in interface `FilenameFilter`
Parameters:
  `dir` - Directory
  `name` - File name
Returns:
  true If file does match filter rules, false otherwise